com.sun.java.xml.ns.javaee

## Class ServletType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.ServletType

-     public class ServletType
      extends Object

  The servletType is used to declare a servlet. It contains the declarative data of a servlet. If a jsp-file is specified and the load-on-startup element is present, then the JSP should be precompiled and loaded. Used in: web-app

  Java-Klasse für servletType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="servletType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <group ref="{http://java.sun.com/xml/ns/javaee}descriptionGroup"/>
               <element name="servlet-name" type="{http://java.sun.com/xml/ns/javaee}servlet-nameType"/>
               <choice minOccurs="0">
                 <element name="servlet-class" type="{http://java.sun.com/xml/ns/javaee}fully-qualified-classType"/>
                 <element name="jsp-file" type="{http://java.sun.com/xml/ns/javaee}jsp-fileType"/>
               </choice>
               <element name="init-param" type="{http://java.sun.com/xml/ns/javaee}param-valueType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="load-on-startup" type="{http://java.sun.com/xml/ns/javaee}load-on-startupType" minOccurs="0"/>
               <element name="enabled" type="{http://java.sun.com/xml/ns/javaee}true-falseType" minOccurs="0"/>
               <element name="async-supported" type="{http://java.sun.com/xml/ns/javaee}true-falseType" minOccurs="0"/>
               <element name="run-as" type="{http://java.sun.com/xml/ns/javaee}run-asType" minOccurs="0"/>
               <element name="security-role-ref" type="{http://java.sun.com/xml/ns/javaee}security-role-refType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="multipart-config" type="{http://java.sun.com/xml/ns/javaee}multipart-configType" minOccurs="0"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TrueFalseType` | `asyncSupported`
    `protected List<DescriptionType>` | `description`
    `protected List<DisplayNameType>` | `displayName`
    `protected TrueFalseType` | `enabled`
    `protected List<IconType>` | `icon`
    `protected String` | `id`
    `protected List<ParamValueType>` | `initParam`
    `protected JspFileType` | `jspFile`
    `protected String` | `loadOnStartup`
    `protected MultipartConfigType` | `multipartConfig`
    `protected RunAsType` | `runAs`
    `protected List<SecurityRoleRefType>` | `securityRoleRef`
    `protected FullyQualifiedClassType` | `servletClass`
    `protected ServletNameType` | `servletName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TrueFalseType` | `getAsyncSupported()` Ruft den Wert der asyncSupported-Eigenschaft ab.
    `List<DescriptionType>` | `getDescription()` Gets the value of the description property.
    `List<DisplayNameType>` | `getDisplayName()` Gets the value of the displayName property.
    `TrueFalseType` | `getEnabled()` Ruft den Wert der enabled-Eigenschaft ab.
    `List<IconType>` | `getIcon()` Gets the value of the icon property.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `List<ParamValueType>` | `getInitParam()` Gets the value of the initParam property.
    `JspFileType` | `getJspFile()` Ruft den Wert der jspFile-Eigenschaft ab.
    `String` | `getLoadOnStartup()` Ruft den Wert der loadOnStartup-Eigenschaft ab.
    `MultipartConfigType` | `getMultipartConfig()` Ruft den Wert der multipartConfig-Eigenschaft ab.
    `RunAsType` | `getRunAs()` Ruft den Wert der runAs-Eigenschaft ab.
    `List<SecurityRoleRefType>` | `getSecurityRoleRef()` Gets the value of the securityRoleRef property.
    `FullyQualifiedClassType` | `getServletClass()` Ruft den Wert der servletClass-Eigenschaft ab.
    `ServletNameType` | `getServletName()` Ruft den Wert der servletName-Eigenschaft ab.
    `void` | `setAsyncSupported(TrueFalseType value)` Legt den Wert der asyncSupported-Eigenschaft fest.
    `void` | `setEnabled(TrueFalseType value)` Legt den Wert der enabled-Eigenschaft fest.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setJspFile(JspFileType value)` Legt den Wert der jspFile-Eigenschaft fest.
    `void` | `setLoadOnStartup(String value)` Legt den Wert der loadOnStartup-Eigenschaft fest.
    `void` | `setMultipartConfig(MultipartConfigType value)` Legt den Wert der multipartConfig-Eigenschaft fest.
    `void` | `setRunAs(RunAsType value)` Legt den Wert der runAs-Eigenschaft fest.
    `void` | `setServletClass(FullyQualifiedClassType value)` Legt den Wert der servletClass-Eigenschaft fest.
    `void` | `setServletName(ServletNameType value)` Legt den Wert der servletName-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          protected List<DescriptionType> description

    - #### displayName

          protected List<DisplayNameType> displayName

    - #### icon

          protected List<IconType> icon

    - #### servletName

          protected ServletNameType servletName

    - #### servletClass

          protected FullyQualifiedClassType servletClass

    - #### jspFile

          protected JspFileType jspFile

    - #### initParam

          protected List<ParamValueType> initParam

    - #### loadOnStartup

          protected String loadOnStartup

    - #### enabled

          protected TrueFalseType enabled

    - #### asyncSupported

          protected TrueFalseType asyncSupported

    - #### runAs

          protected RunAsType runAs

    - #### securityRoleRef

          protected List<SecurityRoleRefType> securityRoleRef

    - #### multipartConfig

          protected MultipartConfigType multipartConfig

    - #### id

          protected String id

  - ### Constructor Detail

    - #### ServletType

          public ServletType()

  - ### Method Detail

    - #### getDescription

          public List<DescriptionType> getDescription()

      Gets the value of the description property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the description property.

      For example, to add a new item, do as follows:

              getDescription().add(newItem);

      Objects of the following type(s) are allowed in the list `DescriptionType`

    - #### getDisplayName

          public List<DisplayNameType> getDisplayName()

      Gets the value of the displayName property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the displayName property.

      For example, to add a new item, do as follows:

              getDisplayName().add(newItem);

      Objects of the following type(s) are allowed in the list `DisplayNameType`

    - #### getIcon

          public List<IconType> getIcon()

      Gets the value of the icon property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the icon property.

      For example, to add a new item, do as follows:

              getIcon().add(newItem);

      Objects of the following type(s) are allowed in the list `IconType`

    - #### getServletName

          public ServletNameType getServletName()

      Ruft den Wert der servletName-Eigenschaft ab.
      Returns:
        possible object is `ServletNameType`

    - #### setServletName

          public void setServletName(ServletNameType value)

      Legt den Wert der servletName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `ServletNameType`

    - #### getServletClass

          public FullyQualifiedClassType getServletClass()

      Ruft den Wert der servletClass-Eigenschaft ab.
      Returns:
        possible object is `FullyQualifiedClassType`

    - #### setServletClass

          public void setServletClass(FullyQualifiedClassType value)

      Legt den Wert der servletClass-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `FullyQualifiedClassType`

    - #### getJspFile

          public JspFileType getJspFile()

      Ruft den Wert der jspFile-Eigenschaft ab.
      Returns:
        possible object is `JspFileType`

    - #### setJspFile

          public void setJspFile(JspFileType value)

      Legt den Wert der jspFile-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `JspFileType`

    - #### getInitParam

          public List<ParamValueType> getInitParam()

      Gets the value of the initParam property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the initParam property.

      For example, to add a new item, do as follows:

              getInitParam().add(newItem);

      Objects of the following type(s) are allowed in the list `ParamValueType`

    - #### getLoadOnStartup

          public String getLoadOnStartup()

      Ruft den Wert der loadOnStartup-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setLoadOnStartup

          public void setLoadOnStartup(String value)

      Legt den Wert der loadOnStartup-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getEnabled

          public TrueFalseType getEnabled()

      Ruft den Wert der enabled-Eigenschaft ab.
      Returns:
        possible object is `TrueFalseType`

    - #### setEnabled

          public void setEnabled(TrueFalseType value)

      Legt den Wert der enabled-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `TrueFalseType`

    - #### getAsyncSupported

          public TrueFalseType getAsyncSupported()

      Ruft den Wert der asyncSupported-Eigenschaft ab.
      Returns:
        possible object is `TrueFalseType`

    - #### setAsyncSupported

          public void setAsyncSupported(TrueFalseType value)

      Legt den Wert der asyncSupported-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `TrueFalseType`

    - #### getRunAs

          public RunAsType getRunAs()

      Ruft den Wert der runAs-Eigenschaft ab.
      Returns:
        possible object is `RunAsType`

    - #### setRunAs

          public void setRunAs(RunAsType value)

      Legt den Wert der runAs-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `RunAsType`

    - #### getSecurityRoleRef

          public List<SecurityRoleRefType> getSecurityRoleRef()

      Gets the value of the securityRoleRef property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the securityRoleRef property.

      For example, to add a new item, do as follows:

              getSecurityRoleRef().add(newItem);

      Objects of the following type(s) are allowed in the list `SecurityRoleRefType`

    - #### getMultipartConfig

          public MultipartConfigType getMultipartConfig()

      Ruft den Wert der multipartConfig-Eigenschaft ab.
      Returns:
        possible object is `MultipartConfigType`

    - #### setMultipartConfig

          public void setMultipartConfig(MultipartConfigType value)

      Legt den Wert der multipartConfig-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `MultipartConfigType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.